Kwalitee Issues

no_generated_files

Remove the offending files/directories!

Error: Makefile

meta_yml_declares_perl_version

If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.

meta_yml_has_license

Define the license if you are using in Build.PL. If you are using MakeMaker (Makefile.PL) you should upgrade to ExtUtils::MakeMaker version 6.31.

no_invalid_versions

Fix the version numbers so that version::is_lax($version) returns true.

Error:

  • lib/Wx/Perl/DbLinker/Wxdatasheet.pm: HASH(0x7c01ee8)
  • lib/Wx/Perl/DbLinker/Wxform.pm: HASH(0x7c020b0)

meta_yml_has_provides

Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.

Modules

Name Abstract Version View
Wx::Perl::DbLinker Wx gui building part of DbLinker. 0.012 metacpan
Wx::Perl::DbLinker::Wxdatasheet a module that display data from a database in a tabular format using a WxGrid object metacpan
Wx::Perl::DbLinker::Wxform a module that display data from a database in a Wx widgets user interface described in a xrc file. metacpan

Provides

Name File View
Wx::Perl::DbLinker::DBGridTable lib/Wx/Perl/DbLinker/Wxdatasheet.pm metacpan

Other Files

Changes metacpan
MANIFEST metacpan
META.json metacpan
META.yml metacpan
Makefile.PL metacpan
README metacpan